// D3DRekoFrame.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "Sounds.h"
#include "D3DRekoFrame.h"
#include "RekoView.h"
#include "ClrButton.h"
#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CD3DRekoFrame

IMPLEMENT_DYNCREATE(CD3DRekoFrame, CMDIChildWnd)

CD3DRekoFrame::CD3DRekoFrame()
{
}

CD3DRekoFrame::~CD3DRekoFrame()
{
}


BEGIN_MESSAGE_MAP(CD3DRekoFrame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CD3DRekoFrame)
	ON_WM_CREATE()
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CD3DRekoFrame 

/////////////////////////////////////////////////////////////////////////////
// CZeitreiheFrame Diagnose

#ifdef _DEBUG
void CD3DRekoFrame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

void CD3DRekoFrame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG


/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CZeitreiheFrame 

BOOL CD3DRekoFrame::PreCreateWindow(CREATESTRUCT& cs) 
{
	cs.style |= WS_THICKFRAME;
	cs.style |= WS_BORDER;
  cs.style |= (WS_MINIMIZEBOX|WS_MAXIMIZEBOX);
  if( !CMDIChildWnd::PreCreateWindow(cs) )
		return FALSE;
	return TRUE;
}

int CD3DRekoFrame::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CMDIChildWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	if (!m_wndDlgBar.Create(this, IDD_D3DREKO_DLG,CBRS_RIGHT|CBRS_TOOLTIPS|CBRS_FLYBY, IDD_D3DREKO_DLG))
	{
		TRACE0("Failed to create DlgBar\n");
		return -1;      // fail to create
	}
//	if (*theApp.GetIniAllgemeinGrundschulprofil()) m_wndDlgBar.ShowWindow(SW_HIDE);
	DoPlacement(TRUE);	//GetIt

	return 0;
}

void CD3DRekoFrame::OnDestroy() 
{
	CMDIChildWnd::OnDestroy();
	DoPlacement(FALSE);	//PutIt
}

void CD3DRekoFrame::DoPlacement(BOOL bGetit)
{
	CSoundsApp *app=(CSoundsApp *)AfxGetApp();
	WINDOWPLACEMENT wp;
	if (bGetit) 
		wp=app->GetWP(REKO);
	else
		this->GetWindowPlacement(&wp);

	app->SwitchWindowplacementAbsolutePercent(!bGetit,&wp);
	
	if (bGetit) 
		this->SetWindowPlacement(&wp);
	else
		app->PutWP(wp,REKO);
}

