// MainFrm.h : Schnittstelle der Klasse CMainFrame
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__9053D72C_A4AB_4621_8D4E_6AE84D1C6683__INCLUDED_)
#define AFX_MAINFRM_H__9053D72C_A4AB_4621_8D4E_6AE84D1C6683__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


static const UINT	kToolBarBitDepth (ILC_COLOR24);

// this color will be treated as transparent in the loaded bitmaps --
// in other words, any pixel of this color will be set at runtime to
// the user's button color. The Visual Studio toolbar editor defaults
// to 192, 192, 192 (light gray).
static const RGBTRIPLE	kBackgroundColor = {192, 192, 192};



class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attribute
public:
protected:

// Operationen
public:

// berladungen
	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementierung
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

public:
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBarNormal;
	CToolBar    m_wndToolBarSchule;

protected:  // Eingebundene Elemente der Steuerleiste
	BOOL				m_LeaveWhile;
	MSG					m_msg;
	INT					m_HoeheStatusbar;
	INT					m_HoeheToolbarSchule;
	INT					m_HoeheToolbarNormal;
	CBitmap			m_bmToolbarSchuleHi;
	CBitmap			m_bmToolbarNormalHi;
	CImageList	m_ImageListSchule;
	CImageList	m_ImageListSchuleDisabled;
	CImageList	m_ImageListSchuleHot;
	CImageList	m_ImageListNormal;
	CImageList	m_ImageListNormalDisabled;
	CImageList	m_ImageListNormalHot;
	
// Generierte Message-Map-Funktionen
public:
	inline INT* GetToolBarNormalHeight() {return &m_HoeheToolbarNormal; };
	inline INT* GetToolBarSchuleHeight() {return &m_HoeheToolbarSchule; };
	inline INT* GetStatusBarHeight() {return &m_HoeheStatusbar; };
	afx_msg void OnViewStatusBar();
	afx_msg void OnViewToolbarnormal();
	afx_msg void OnViewToolbarschule();
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnClose();
	//}}AFX_MSG
	LRESULT OnCaptureDone(WPARAM wParam, LPARAM lParam);
	LRESULT OnPlayNotifyDone(WPARAM wParam, LPARAM lParam);
	LRESULT OnPlayInProgress(WPARAM wParam, LPARAM lParam);
	LRESULT OnUpdateFFTBar(WPARAM wParam, LPARAM lParam);
	LRESULT OnUpdateWaveFileBar(WPARAM wParam, LPARAM lParam);
	LRESULT OnUpdateWaveBitBar(WPARAM wParam, LPARAM lParam);
	LRESULT OnUpdateWaveKhzBar(WPARAM wParam, LPARAM lParam);
	LRESULT OnUpdateCaptureBar(WPARAM wParam, LPARAM lParam);
	LRESULT OnUpdateRecordBar(WPARAM wParam, LPARAM lParam);
	LRESULT OnDrawCompleteSono(WPARAM wParam, LPARAM lParam);

	void		RecalcViews();

	//24-bit Toolbar Functions
	void AttachToolbarImages (UINT inNormalImageID, UINT inDisabledImageID,
                            UINT inHotImageID, CToolBar* pToolbar,
														CImageList* pImageList,
														CImageList* pImageListDisabled,
														CImageList* pImageListHot,
														INT ImageWidth,	INT ImageHeight, INT NumImages);
	void	MakeToolbarImageList (UINT inBitmapID, CImageList&	outImageList,
																		INT ImageWidth, INT ImageHeight, INT NumImages);
	void	ReplaceBackgroundColor (CBitmap& ioBM);



	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_MAINFRM_H__9053D72C_A4AB_4621_8D4E_6AE84D1C6683__INCLUDED_)
