// StartProfileDLG.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "Sounds.h"
#include "StartProfileDLG.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CStartProfileDLG 


CStartProfileDLG::CStartProfileDLG(CWnd* pParent /*=NULL*/)
	: CDialog(CStartProfileDLG::IDD, pParent)
{
	//{{AFX_DATA_INIT(CStartProfileDLG)
	m_Radio_Choose_Profiletyp = 0;
	m_Combo_Eintrag = _T("");
	//}}AFX_DATA_INIT
	m_ProfilPath="";
}


void CStartProfileDLG::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStartProfileDLG)
	DDX_Control(pDX, IDC_COMBO2, m_SelfDefinedProfiles_Combo);
	DDX_Radio(pDX, IDC_RADIO_CHOOSE_PROFILETYP, m_Radio_Choose_Profiletyp);
	DDX_Control( pDX, IDC_LOGO, m_Logo ) ;
	DDX_CBString(pDX, IDC_COMBO2, m_Combo_Eintrag);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CStartProfileDLG, CDialog)
	//{{AFX_MSG_MAP(CStartProfileDLG)
	ON_BN_CLICKED(IDC_RADIO_CHOOSE_PROFILETYP, OnRadioChooseProfiletyp)
	ON_BN_CLICKED(IDC_RADIO_CHOOSE_PROFILETYP2, OnRadioChooseProfiletyp2)
	ON_BN_CLICKED(IDC_RADIO_CHOOSE_PROFILETYP3, OnRadioChooseProfiletyp3)
	ON_CBN_EDITUPDATE(IDC_COMBO2, OnEditupdateCombo2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CStartProfileDLG 

BOOL CStartProfileDLG::OnInitDialog() 
{
	CDialog::OnInitDialog();
	UpdateData(FALSE);
	if (m_Radio_Choose_Profiletyp==2) 
	{
		m_SelfDefinedProfiles_Combo.ShowWindow(SW_SHOW);
	}
	{
		m_SelfDefinedProfiles_Combo.ShowWindow(SW_HIDE);
	}
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurckgeben
}

void CStartProfileDLG::OnOK() 
{
	UpdateData(TRUE);	
	if ((m_Radio_Choose_Profiletyp==2)&&(m_Combo_Eintrag=="")) 
	{
		//DoNothing
	}
	else CDialog::OnOK();
}

void CStartProfileDLG::OnRadioChooseProfiletyp() 
{
	// Zuletzt verwendete Einstellungen
	m_SelfDefinedProfiles_Combo.ShowWindow(SW_HIDE);
}

void CStartProfileDLG::OnRadioChooseProfiletyp2() 
{
	// Standardprofil whlen
	m_SelfDefinedProfiles_Combo.ShowWindow(SW_HIDE);
	
}

void CStartProfileDLG::OnRadioChooseProfiletyp3() 
{
	// Benutzerdefiniertes Profil whlen
	m_SelfDefinedProfiles_Combo.ShowWindow(SW_SHOW);
	m_SelfDefinedProfiles_Combo.ResetContent();
	FindProfileFiles(m_ProfilPath);	
	m_SelfDefinedProfiles_Combo.ShowDropDown(TRUE);
}


BOOL CStartProfileDLG::FindProfileFiles(const TCHAR* sPath) 
{
   HANDLE hFind;    // file handle
   WIN32_FIND_DATA FindFileData;

   TCHAR DirPath[MAX_PATH];
   TCHAR FileName[MAX_PATH];

   _tcscpy(DirPath,sPath);
   _tcscat(DirPath,"\\*");    // searching all files
   _tcscpy(FileName,sPath);
   _tcscat(FileName,"\\");

   // find the first file
   hFind = FindFirstFile(DirPath,&FindFileData);
   if(hFind == INVALID_HANDLE_VALUE) return FALSE;
   _tcscpy(DirPath,FileName);

   bool bSearch = true;
   while(bSearch) {    // until we find an entry
      if(FindNextFile(hFind,&FindFileData)) {
         if(IsDots(FindFileData.cFileName)) continue;
         _tcscat(FileName,FindFileData.cFileName);
         if((FindFileData.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY)) 
				 {
            // we have found a directory
             _tcscpy(FileName,DirPath);
         }
         else 
				 {
					 CString ComboEintrag;
					 ComboEintrag=FileName;
					 if (ComboEintrag.Replace("SoundsUserProfil-","")==1) 
					 {
						 ComboEintrag.Replace(m_ProfilPath,"");
						 ComboEintrag.Replace("\\","");
						 ComboEintrag.Replace(".ini","");
						 m_SelfDefinedProfiles_Combo.AddString(ComboEintrag);
					 }
           _tcscpy(FileName,DirPath);
         }
      }
      else 
			{
        // no more files there
        if(GetLastError() == ERROR_NO_MORE_FILES)
				{
					bSearch = false;
				}
        else 
				{
					// some error occurred; close the handle and return FALSE
          FindClose(hFind);
					return FALSE;
        }
      }
   }
   FindClose(hFind);                  // close the file handle

   return TRUE;     

}

BOOL CStartProfileDLG::IsDots(const TCHAR* str) 
{
   if(_tcscmp(str,".") && _tcscmp(str,"..")) return FALSE;
   return TRUE;
}


void CStartProfileDLG::OnEditupdateCombo2() 
{
	AfxMessageBox(E_PROFILUPDATECOMBO);
	m_SelfDefinedProfiles_Combo.ResetContent();
	FindProfileFiles(m_ProfilPath);	
	m_SelfDefinedProfiles_Combo.ShowDropDown(TRUE);
}
