//-----------------------------------------------------------------------------
// 
// Desc: Menaktualisierungsfunktionen
//       
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Desc: Menaktualisierungsfunktionen fr Wiedergabebuttons
//-----------------------------------------------------------------------------
void CSoundsDoc::OnUpdatePlayloop(CCmdUI* pCmdUI) 
{
	if (g_bIsWaveLoaded) 
	{
/*		if (g_bIsPlayingWave) 
		{
			pCmdUI->Enable(FALSE);
		}
		else
		{
*/			pCmdUI->Enable(TRUE);
			if (g_bLooped)
				pCmdUI->SetCheck(TRUE);
			else
				pCmdUI->SetCheck(FALSE);
//		}
	}
	else
		pCmdUI->Enable(FALSE);
}

void CSoundsDoc::OnUpdateResetwave(CCmdUI* pCmdUI) 
{
	if (g_bIsWaveLoaded) 
		pCmdUI->Enable(TRUE);
	else
		pCmdUI->Enable(FALSE);
	
}

void CSoundsDoc::OnUpdatePlaywave(CCmdUI* pCmdUI) 
{
	if (g_bIsWaveLoaded) 
	{
		if (g_bIsPlayingWave)
			pCmdUI->SetCheck(TRUE);
		else
			pCmdUI->SetCheck(FALSE);
		pCmdUI->Enable(TRUE);
	}
	else
		pCmdUI->Enable(FALSE);
}

void CSoundsDoc::OnUpdateStopwave(CCmdUI* pCmdUI) 
{
	if (g_bIsWaveLoaded) 
	{
			pCmdUI->Enable(TRUE);
/*
		if (g_bIsPlayingWave)
			pCmdUI->Enable(TRUE);
		else
			pCmdUI->Enable(FALSE);
*/
	}
	else
		pCmdUI->Enable(FALSE);
	
}

void CSoundsDoc::OnUpdateRewind(CCmdUI* pCmdUI) 
{
	if (g_bIsWaveLoaded) 
			pCmdUI->Enable(TRUE);
	else
		pCmdUI->Enable(FALSE);
}


//-----------------------------------------------------------------------------
// Desc: Menaktualisierungsfunktionen fr Aufnahmebuttons
//-----------------------------------------------------------------------------
void CSoundsDoc::OnUpdateDatenAudioeingang(CCmdUI* pCmdUI) 
{
	if (!g_bIsCapturing)
		pCmdUI->SetCheck(FALSE);
	else
	pCmdUI->SetCheck(TRUE);
	
}

void CSoundsDoc::OnUpdateAudioeingang(CCmdUI* pCmdUI) 
{
	if (!g_bIsCapturing)
		pCmdUI->SetCheck(FALSE);
	else
	pCmdUI->SetCheck(TRUE);
}

void CSoundsDoc::OnUpdateRecordStart(CCmdUI* pCmdUI) 
{
	if (!g_bIsCapturing)
	{
		pCmdUI->Enable(FALSE);
	}
	else
	{
		if (g_bIsRecording)
			pCmdUI->Enable(FALSE);
		else
			pCmdUI->Enable(TRUE);
	}
}

void CSoundsDoc::OnUpdateRecordStop(CCmdUI* pCmdUI) 
{
		if (!g_bIsCapturing)
			pCmdUI->Enable(FALSE);
		else
		{
			if (g_bIsRecording)
				pCmdUI->Enable(TRUE);
			else
				pCmdUI->Enable(FALSE);
		}
}

//-----------------------------------------------------------------------------
// Desc: Menaktualisierungsfunktionen fr Ansichtsfenster
//-----------------------------------------------------------------------------

void CSoundsDoc::OnUpdateAnsichtInfo(CCmdUI* pCmdUI) 
{
	if (m_pViewInfo==NULL)
		pCmdUI->SetCheck(0);
	else
		pCmdUI->SetCheck(1);
}
void CSoundsDoc::OnUpdateAnsichtFFT(CCmdUI* pCmdUI) 
{
	if (m_pViewFFT==NULL)
	{
		pCmdUI->SetCheck(0);
		*theApp.GetIniFensterFFT()=0;
	}
	else
		pCmdUI->SetCheck(1);
}

void CSoundsDoc::OnUpdateAnsichtAnalyse(CCmdUI* pCmdUI) 
{
	if (m_pViewAnalyse==NULL)
	{
		pCmdUI->SetCheck(0);
		*theApp.GetIniFensterAnalyse()=0;
	}
	else
		pCmdUI->SetCheck(1);
}

void CSoundsDoc::OnUpdateAnsichtZeitreihe(CCmdUI* pCmdUI) 
{
	if (m_pViewZeitreihe==NULL)
	{
		pCmdUI->SetCheck(0);
		*theApp.GetIniFensterZeitreihe()=0;
	}
	else
		pCmdUI->SetCheck(1);
}
void CSoundsDoc::OnUpdateAnsichtD3DReko(CCmdUI* pCmdUI) 
{
	if (m_pViewD3DReko==NULL)
	{
		pCmdUI->SetCheck(0);
		*theApp.GetIniFensterReko()=0;
	}
	else
		pCmdUI->SetCheck(1);
}

void CSoundsDoc::OnUpdateAnsicht3dfft(CCmdUI* pCmdUI) 
{
	if (m_pViewFFT3D==NULL)
	{
		pCmdUI->SetCheck(0);
		*theApp.GetIniFensterFFT3D()=0;
	}
	else
		pCmdUI->SetCheck(1);
}

void CSoundsDoc::OnUpdateAnsichtSono(CCmdUI* pCmdUI) 
{
	if (m_pViewSono==NULL)
	{
		pCmdUI->SetCheck(0);
		*theApp.GetIniFensterSono()=0;
	}
	else
		pCmdUI->SetCheck(1);
}

void CSoundsDoc::OnUpdateAnsichtNotenbild(CCmdUI* pCmdUI) 
{
	if (m_pViewNotenbild==NULL)
	{
		pCmdUI->SetCheck(0);
		*theApp.GetIniFensterNotenbild()=0;
	}
	else
		pCmdUI->SetCheck(1);
}

void CSoundsDoc::OnUpdateAnsichtWavelet(CCmdUI* pCmdUI) 
{
	if (m_pViewWavelet==NULL)
	{
		pCmdUI->SetCheck(0);
		*theApp.GetIniFensterWavelet()=0;
	}
	else
		pCmdUI->SetCheck(1);
}




void CSoundsDoc::OnUpdateViewToolbarschule(CCmdUI* pCmdUI) 
{
	CMainFrame* pFrame=(CMainFrame*)AfxGetMainWnd();

	if (pFrame->m_wndToolBarSchule.IsWindowVisible())
	{
		pCmdUI->SetCheck(1);
	}
	else
	{
		pCmdUI->SetCheck(0);
	}
}

void CSoundsDoc::OnUpdateViewToolbarnormal(CCmdUI* pCmdUI) 
{
	CMainFrame* pFrame=(CMainFrame*)AfxGetMainWnd();

	if (pFrame->m_wndToolBarNormal.IsWindowVisible()) pCmdUI->SetCheck(1);
	else pCmdUI->SetCheck(0);
}

void CSoundsDoc::OnUpdateSaveWave(CCmdUI* pCmdUI) 
{
		if (g_bIsWaveLoaded)
			pCmdUI->Enable(TRUE);
		else
			pCmdUI->Enable(FALSE);
}
