#if !defined(AFX_WAVELETVIEW_H__CD4D63F1_8A67_4DCE_A22A_0D3F2D7F8722__INCLUDED_)
#define AFX_WAVELETVIEW_H__CD4D63F1_8A67_4DCE_A22A_0D3F2D7F8722__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// WaveletView.h : Header-Datei
//

/////////////////////////////////////////////////////////////////////////////
// Ansicht CWaveletView 

class CWaveletView : public CView
{
protected:
	CWaveletView();           // Dynamische Erstellung verwendet geschtzten Konstruktor
	DECLARE_DYNCREATE(CWaveletView)

// Attribute
public:
protected:
	CWaveletFrame*			m_pParentWaveletFrame;

	COLORREF						m_clrBkg;
	COLORREF						m_clrText;
	CPalette						m_Pal;
	CString							m_Komplett;

	CString								m_wavelet;
	FLOAT									m_Freq_min;
	FLOAT									m_Freq_max;
	LONG									m_Freq_n;
	LONG									m_Zeit_n;
	INT										m_adiv; 

// Operationen
public:
		void		IniFileWrite();
		void		IniFileRead();

// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CWaveletView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // berschrieben zum Zeichnen dieser Ansicht
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementierung
protected:
	virtual ~CWaveletView();
  inline CSoundsDoc* GetDocument() { return (CSoundsDoc*)m_pDocument; }
	BOOL CreatePaletteBlackToWhite(CPalette* pPal);
	CRect DetermineRect(CDC* RefDC);

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generierte Nachrichtenzuordnungsfunktionen
protected:
	//{{AFX_MSG(CWaveletView)
	afx_msg void OnChangeFreqMax();
	afx_msg void OnChangeFreqMin();
	afx_msg void OnChangeFreqN();
	afx_msg void OnChangeZeitN();
	afx_msg void OnSelendokFreqSkalaCombo();
	afx_msg void OnSelendokWavelettypCombo();
	afx_msg void OnChangeWaveletParam();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnSave();
	afx_msg void OnEditCopy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_WAVELETVIEW_H__CD4D63F1_8A67_4DCE_A22A_0D3F2D7F8722__INCLUDED_
