#if !defined(AFX_ZEITREIHEVIEW1_H__DB95A1EB_EB64_463D_A981_6163F3C0BCD2__INCLUDED_)
#define AFX_ZEITREIHEVIEW1_H__DB95A1EB_EB64_463D_A981_6163F3C0BCD2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ZeitreiheView1.h : Header-Datei
//

//typedef CArray<POINT,POINT> PTArray;
/////////////////////////////////////////////////////////////////////////////
// Ansicht CZeitreiheView 

class CZeitreiheView : public CScrollView
{
  DECLARE_DYNCREATE(CZeitreiheView)
protected:
	CZeitreiheView();           // Dynamische Erstellung verwendet geschtzten Konstruktor

// Attribute
public:
	CArray<POINT,POINT>			m_ViewPtArray;
	CArray<POINT,POINT>			m_ViewPtAutoKorrArray;
	CArray<POINT,POINT>			m_ViewPtMutualArray;
	
protected:
	COLORREF m_clrBkg;
	COLORREF m_clrKurve;
	COLORREF m_clrText;
	COLORREF m_clrKoords;
	CZeitreiheFrame*												m_pParentZeitreiheFrame;
	double																	m_XPixel;
	INT																			m_WhatIs;
	INT																			m_KorrCount;							//Number of Autokorrelationsfunctions

	long																		m_partitions;
	long																		m_corrlength;
	INT																			m_Choose;
	// Operationen
protected:
  inline CSoundsDoc* GetDocument()  { return (CSoundsDoc*)m_pDocument; }
	void ZeichneZeitreihe(CDC* pDC);
	void ZeichneAutokorrelationsfunktion(CDC* pDC);
	double make_cond_entropy(long t,unsigned long	length,long* h1, long* h11, long** h2,long* array);
	void ZeichneMutualInformation(CDC* pDC,BOOL bWriteToClipboard,CString* pAusgabe);
	void SwitchDlgWindows();
	void ControlPixel(INT Length);
	CRect DetermineRect(CDC* RefDC);


	// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CZeitreiheView)
	protected:
	virtual void OnInitialUpdate();     // Zum ersten Mal nach der Konstruktion
	virtual void OnDraw(CDC* pDC);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

public:
	void IniFileRead();
	void IniFileWrite();
	inline INT* GetKorrCount() { 
		return &m_KorrCount; 
	}
	
// Implementierung
protected:
	virtual ~CZeitreiheView();
	void		ResetArray(CArray<POINT,POINT>* pArray);

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CZeitreiheView)
	afx_msg void OnEditClearall();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnCheckAutokorr();
	afx_msg void OnCheckZeitreihe();
	afx_msg void OnChangePartitionFeld();
	afx_msg void OnChangeMaxtauFeld();
	afx_msg void OnCheckMutual();
	afx_msg void OnEditCopy();
	afx_msg void OnSave();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnExportdata();
	afx_msg void OnChangeEditKorr();
	afx_msg void OnReleasedcaptureSliderZoomh(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_ZEITREIHEVIEW1_H__DB95A1EB_EB64_463D_A981_6163F3C0BCD2__INCLUDED_
