// FFT3DFrame.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "Sounds.h"
#include "FFT3DFrame.h"
#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFFT3DFrame

IMPLEMENT_DYNCREATE(CFFT3DFrame, CMDIChildWnd)

CFFT3DFrame::CFFT3DFrame()
{
}

CFFT3DFrame::~CFFT3DFrame()
{
}


BEGIN_MESSAGE_MAP(CFFT3DFrame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CFFT3DFrame)
	ON_WM_CREATE()
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CFFT3DFrame 


BOOL CFFT3DFrame::PreCreateWindow(CREATESTRUCT& cs) 
{
	cs.style |= WS_THICKFRAME;
	cs.style |= WS_BORDER;
  cs.style |= (WS_MINIMIZEBOX|WS_MAXIMIZEBOX);
  if( !CMDIChildWnd::PreCreateWindow(cs) )
		return FALSE;

	return TRUE;
}

int CFFT3DFrame::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CMDIChildWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	if (!m_wndDlgBar.Create(this, IDD_FFT3D_DLG,CBRS_RIGHT|CBRS_TOOLTIPS|CBRS_FLYBY, IDD_FFT3D_DLG))
	{
		TRACE0("Failed to create DlgBar\n");
		return -1;      // fail to create
	}
	if (*theApp.GetIniAllgemeinGrundschulprofil()) m_wndDlgBar.ShowWindow(SW_HIDE);
	
// m_wndDlgBar.EnableDocking(CBRS_ALIGN_LEFT|CBRS_ALIGN_RIGHT);
// EnableDocking(CBRS_ALIGN_LEFT|CBRS_ALIGN_RIGHT);
// DockControlBar(&m_wndDlgBar);

	DoPlacement(TRUE);	//GetIt

	return 0;
}


void CFFT3DFrame::OnDestroy() 
{
	CMDIChildWnd::OnDestroy();
	DoPlacement(FALSE);	//PutIt
}

void CFFT3DFrame::DoPlacement(BOOL bGetit)
{
	CSoundsApp *app=(CSoundsApp *)AfxGetApp();
	WINDOWPLACEMENT wp;
	if (bGetit) 
		wp=app->GetWP(FFT3D);
	else
		this->GetWindowPlacement(&wp);

	app->SwitchWindowplacementAbsolutePercent(!bGetit,&wp);
	
	if (bGetit) 
		this->SetWindowPlacement(&wp);
	else
		app->PutWP(wp,FFT3D);
}

