//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// Fenster 3D Rekonstruktion aufgerufen                                     !
//                                                                             !
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
void CSoundsDoc::OnFensterMain() 
{
	POSITION pos = GetFirstViewPosition();
	CView* pView=NULL;
	while (pos != NULL)
	{
	  pView = GetNextView(pos);
		CRuntimeClass* pRuntimeKlasse=pView->GetRuntimeClass();
		if (pRuntimeKlasse->m_lpszClassName=="CSoundsOverView")
		{
			CSoundsOverView* pSoundsOverView=(CSoundsOverView*)pView;
			CSplitterFrame* pFrame=(CSplitterFrame*)pView->GetParentFrame();
			pFrame->BringWindowToTop();
			break;
		}
	}
}

void CSoundsDoc::OnFensterReko() 
{
	if (m_pViewD3DReko!=NULL) 
		m_pViewD3DReko->BringWindowToTop();
}

void CSoundsDoc::OnAnsicht3drekonstruktion() 
{
	if (m_pViewD3DReko==NULL)
	{
		m_bIsNot3D=FALSE;
		CD3DRekoFrame* pFrame = new CD3DRekoFrame();
		CCreateContext context;
		context.m_pCurrentDoc=theApp.mp_doc; //that's the way I avoid to create new document every time I open a new view
		context.m_pNewViewClass=RUNTIME_CLASS(CRekoView);
		context.m_pNewDocTemplate=NULL;//theApp.m_pRekoDlgTemplate;
		context.m_pLastView=(((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame() ? ((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame()->GetActiveView() : NULL);
		context.m_pCurrentFrame=((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame();
		if (!pFrame->LoadFrame(IDR_D3DREKO,WS_OVERLAPPEDWINDOW|WS_CHILD,theApp.m_pMainWnd, &context ))return;
		pFrame->InitialUpdateFrame(theApp.mp_doc,TRUE);
		m_pViewD3DReko=pFrame;
		*theApp.GetIniFensterReko()=1;
		if (*theApp.GetIniAllgemeinGrundschulprofil()) DeActivateOtherViews(2);
	}
	else
	{
		*theApp.GetIniFensterReko()=0;
		m_pViewD3DReko->DestroyWindow();
		m_pViewD3DReko=NULL;
	}
}

//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// Fenster 3D FFT aufgerufen                                     !
//                                                                             !
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
void CSoundsDoc::OnFensterFFT3D() 
{
	if (m_pViewFFT3D!=NULL) 
		m_pViewFFT3D->BringWindowToTop();
}

void CSoundsDoc::OnAnsicht3dfft() 
{
	if (m_pViewFFT3D==NULL)
	{
		m_bIsNot3D=FALSE;
		CFFT3DFrame* pFrame = new CFFT3DFrame();
		CCreateContext context;
		context.m_pCurrentDoc=theApp.mp_doc; //that's the way I avoid to create new document every time I open a new view
		context.m_pNewViewClass=RUNTIME_CLASS(CFFT3DView);
		context.m_pNewDocTemplate=NULL;//theApp.m_pFFT3DViewTemplate;
		context.m_pLastView=(((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame() ? ((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame()->GetActiveView() : NULL);
		context.m_pCurrentFrame=((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame();
		if (!pFrame->LoadFrame(IDR_FFT3D,WS_OVERLAPPEDWINDOW|WS_CHILD,theApp.m_pMainWnd, &context ))return;
		pFrame->InitialUpdateFrame(theApp.mp_doc,TRUE);
		m_pViewFFT3D=pFrame;
		*theApp.GetIniFensterFFT3D()=1;
		if (*theApp.GetIniAllgemeinGrundschulprofil()) DeActivateOtherViews(1);
	}
	else
	{
		m_pViewFFT3D->DestroyWindow();
		m_pViewFFT3D=NULL;
		*theApp.GetIniFensterFFT3D()=0;
	}
}

//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// Fenster FFT aufgerufen                                     !
//                                                                             !
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
void CSoundsDoc::OnFensterFFT() 
{
	if (m_pViewFFT!=NULL) 
		m_pViewFFT->BringWindowToTop();
}

void CSoundsDoc::OnAnsichtFFT() 
{
	if (m_pViewFFT==NULL)
	{
		CFFTFrame* pFrame = new CFFTFrame();
		CCreateContext context;
		context.m_pCurrentDoc=theApp.mp_doc; //that's the way I avoid to create new document every time I open a new view
		context.m_pNewViewClass=RUNTIME_CLASS(CFFTView);
		context.m_pNewDocTemplate=NULL;//theApp.m_pFFTViewTemplate;
		context.m_pLastView=(((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame() ? ((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame()->GetActiveView() : NULL);
		context.m_pCurrentFrame=((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame();
		if (!pFrame->LoadFrame(IDR_FFT,WS_OVERLAPPEDWINDOW|WS_CHILD,theApp.m_pMainWnd, &context ))return;
		pFrame->InitialUpdateFrame(theApp.mp_doc,TRUE);	
		m_pViewFFT=pFrame;
		*theApp.GetIniFensterFFT()=1;
	}
	else
	{
		m_pViewFFT->DestroyWindow();
		m_pViewFFT=NULL;
		*theApp.GetIniFensterFFT()=0;
	}
}

//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// Fenster Analyse aufgerufen                                     !
//                                                                             !
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
void CSoundsDoc::OnFensterAnalyse() 
{
	if (m_pViewAnalyse!=NULL) 
		m_pViewAnalyse->BringWindowToTop();
}

void CSoundsDoc::OnAnsichtAnalyse() 
{
	if (m_pViewAnalyse==NULL)
	{
		CAnalyseFrame* pFrame = new CAnalyseFrame();
		CCreateContext context;
		context.m_pCurrentDoc=theApp.mp_doc; //that's the way I avoid to create new document every time I open a new view
		context.m_pNewViewClass=RUNTIME_CLASS(CAnalyseView);
		context.m_pNewDocTemplate=NULL;//eApp.m_pAnalyseViewTemplate;
		context.m_pLastView=(((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame() ? ((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame()->GetActiveView() : NULL);
		context.m_pCurrentFrame=((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame();
		if (!pFrame->LoadFrame(IDR_ANALYSE,WS_OVERLAPPEDWINDOW|WS_CHILD,theApp.m_pMainWnd, &context ))return;
		pFrame->InitialUpdateFrame(theApp.mp_doc,TRUE);	
		m_pViewAnalyse=pFrame;
		*theApp.GetIniFensterAnalyse()=1;
	}
	else
	{
		m_pViewAnalyse->DestroyWindow();
		m_pViewAnalyse=NULL;
		*theApp.GetIniFensterAnalyse()=0;
	}
}

//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// Fenster Sonogramm aufgerufen                                     !
//                                                                             !
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
void CSoundsDoc::OnFensterSono() 
{
	if (m_pViewSono!=NULL) 
		m_pViewSono->BringWindowToTop();
}

void CSoundsDoc::OnAnsichtSono() 
{
	if (m_pViewSono==NULL)
	{
		CSonoFrame* pFrame = new CSonoFrame();
		CCreateContext context;
		context.m_pCurrentDoc=theApp.mp_doc; //that's the way I avoid to create new document every time I open a new view
		context.m_pNewViewClass=RUNTIME_CLASS(CSonoView);
		context.m_pNewDocTemplate=NULL;//theApp.m_pSonoViewTemplate;
		context.m_pLastView=(((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame() ? ((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame()->GetActiveView() : NULL);
		context.m_pCurrentFrame=((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame();
		if (!pFrame->LoadFrame(IDR_SONO,WS_OVERLAPPEDWINDOW|WS_CHILD,theApp.m_pMainWnd, &context ))return;
		pFrame->InitialUpdateFrame(theApp.mp_doc,TRUE);	
		m_pViewSono=pFrame;
		*theApp.GetIniFensterSono()=1;
		if (*theApp.GetIniAllgemeinGrundschulprofil()) DeActivateOtherViews(3);
	}
	else
	{
		m_pViewSono->DestroyWindow();
		m_pViewSono=NULL;
		*theApp.GetIniFensterSono()=0;
	}
}

//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// Fenster Zeitreihe aufgerufen                                     !
//                                                                             !
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
void CSoundsDoc::OnFensterZeitreihe() 
{
	if (m_pViewZeitreihe!=NULL) 
		m_pViewZeitreihe->BringWindowToTop();
}

void CSoundsDoc::OnAnsichtZeitreihe() 
{
	if (m_pViewZeitreihe==NULL)
	{
		CZeitreiheFrame* pFrame = new CZeitreiheFrame();
		CCreateContext context;
		context.m_pCurrentDoc=theApp.mp_doc; //that's the way I avoid to create new document every time I open a new view
		context.m_pNewViewClass=RUNTIME_CLASS(CZeitreiheView);
		context.m_pNewDocTemplate=NULL;//theApp.m_pZeitreiheViewTemplate;
		context.m_pLastView=(((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame() ? ((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame()->GetActiveView() : NULL);
		context.m_pCurrentFrame=((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame();
		if (!pFrame->LoadFrame(IDR_ZEITREIHE,WS_OVERLAPPEDWINDOW|WS_CHILD,theApp.m_pMainWnd, &context ))return;
		pFrame->InitialUpdateFrame(theApp.mp_doc,TRUE);	
		m_pViewZeitreihe=pFrame;
		*theApp.GetIniFensterZeitreihe()=1;
	}
	else
	{
		m_pViewZeitreihe->DestroyWindow();
		m_pViewZeitreihe=NULL;
		*theApp.GetIniFensterZeitreihe()=0;
	}
}

//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// Fenster Info aufgerufen                                     !
//                                                                             !
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

void CSoundsDoc::OnAnsichtInfo() 
{
	if (m_pViewInfo==NULL)
	{
		CChildFrame* pFrame = new CChildFrame();
		CCreateContext context;
		context.m_pCurrentDoc=theApp.mp_doc; //that's the way I avoid to create new document every time I open a new view
		context.m_pNewViewClass=RUNTIME_CLASS(CInfoView);
		context.m_pNewDocTemplate=NULL;//theApp.m_pInfoTemplate;
		context.m_pLastView=(((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame() ? ((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame()->GetActiveView() : NULL);
		context.m_pCurrentFrame=((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame();
		if (!pFrame->LoadFrame(IDR_INFO2,WS_OVERLAPPED|WS_CAPTION|WS_CHILD|WS_SYSMENU,theApp.m_pMainWnd, &context ))return;
		pFrame->InitialUpdateFrame(theApp.mp_doc,TRUE);	
		m_pViewInfo=pFrame;
	}
	else
	{
		m_pViewInfo->DestroyWindow();
		m_pViewInfo=NULL;
	}
}

//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// Fenster Notenbild aufgerufen                                     !
//                                                                             !
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
void CSoundsDoc::OnFensterNotenbild() 
{
	if (m_pViewNotenbild!=NULL) 
		m_pViewNotenbild->BringWindowToTop();
}

void CSoundsDoc::OnAnsichtNotenbild() 
{
	if (m_pViewNotenbild==NULL)
	{
		CNotenbildFrame* pFrame = new CNotenbildFrame();
		CCreateContext context;
		context.m_pCurrentDoc=theApp.mp_doc; //that's the way I avoid to create new document every time I open a new view
		context.m_pNewViewClass=RUNTIME_CLASS(CNotenbildView);
		context.m_pNewDocTemplate=NULL;//theApp.m_pInfoTemplate;
		context.m_pLastView=(((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame() ? ((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame()->GetActiveView() : NULL);
		context.m_pCurrentFrame=((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame();
		if (!pFrame->LoadFrame(IDR_NOTENBILD,WS_OVERLAPPED|WS_CAPTION|WS_CHILD|WS_SYSMENU,theApp.m_pMainWnd, &context ))return;
		pFrame->InitialUpdateFrame(theApp.mp_doc,TRUE);	
		m_pViewNotenbild=pFrame;
		*theApp.GetIniFensterNotenbild()=1;
		if (*theApp.GetIniAllgemeinGrundschulprofil()) DeActivateOtherViews(0);
	}
	else
	{
		m_pViewNotenbild->DestroyWindow();
		m_pViewNotenbild=NULL;
		*theApp.GetIniFensterNotenbild()=0;
	}
}

//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// Fenster Wavelet aufgerufen                                     !
//                                                                             !
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
void CSoundsDoc::OnFensterWavelet() 
{
	if (m_pViewWavelet!=NULL) 
		m_pViewWavelet->BringWindowToTop();
}

void CSoundsDoc::OnAnsichtWavelet() 
{
	if (m_pViewWavelet==NULL)
	{
		CWaveletFrame* pFrame = new CWaveletFrame();
		CCreateContext context;
		context.m_pCurrentDoc=theApp.mp_doc; //that's the way I avoid to create new document every time I open a new view
		context.m_pNewViewClass=RUNTIME_CLASS(CWaveletView);
		context.m_pNewDocTemplate=NULL;//theApp.m_pInfoTemplate;
		context.m_pLastView=(((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame() ? ((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame()->GetActiveView() : NULL);
		context.m_pCurrentFrame=((CMainFrame *)theApp.m_pMainWnd)->GetActiveFrame();
		if (!pFrame->LoadFrame(IDR_WAVELET,WS_OVERLAPPED|WS_CAPTION|WS_CHILD|WS_SYSMENU,theApp.m_pMainWnd, &context ))return;
		pFrame->InitialUpdateFrame(theApp.mp_doc,TRUE);	
		m_pViewWavelet=pFrame;
		*theApp.GetIniFensterWavelet()=1;
	}
	else
	{
		m_pViewWavelet->DestroyWindow();
		m_pViewWavelet=NULL;
		*theApp.GetIniFensterWavelet()=0;
	}
}


//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// Bei nicht funktionierender HAL die 3D Darstellungen deaktivieren.                                     !
//                                                                             !
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
void CSoundsDoc::DeActivate3DViews()
{
	if (m_pViewFFT3D!=NULL)
	{
		m_pViewFFT3D->DestroyWindow();
		m_pViewFFT3D=NULL;
		*theApp.GetIniFensterFFT3D()=0;
	}
	if (m_pViewD3DReko!=NULL)
	{
		m_pViewD3DReko->DestroyWindow();
		m_pViewD3DReko=NULL;
		*theApp.GetIniFensterReko()=0;
	}
}

//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// Im Grundschulmodus andere Fenster deaktivieren                              !
//                                                                             !
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

void CSoundsDoc::DeActivateOtherViews(INT ViewNr) //0:Notenbild, 1:FFT3D 2:D3DReko 3:Sono
{
	if (m_pViewNotenbild!=NULL&&ViewNr!=0)
	{
		m_pViewNotenbild->DestroyWindow();
		m_pViewNotenbild=NULL;
		*theApp.GetIniFensterNotenbild()=0;
	}
	if (m_pViewFFT3D!=NULL&&ViewNr!=1)
	{
		m_pViewFFT3D->DestroyWindow();
		m_pViewFFT3D=NULL;
		*theApp.GetIniFensterFFT3D()=0;
	}
	if (m_pViewD3DReko!=NULL&&ViewNr!=2)
	{
		m_pViewD3DReko->DestroyWindow();
		m_pViewD3DReko=NULL;
		*theApp.GetIniFensterReko()=0;
	}
	if (m_pViewSono!=NULL&&ViewNr!=3)
	{
		m_pViewSono->DestroyWindow();
		m_pViewSono=NULL;
		*theApp.GetIniFensterSono()=0;
	}
}