#if !defined(AFX_GRAFIKDEVICEDLG_H__176783DA_DC78_4885_A598_135436BFF822__INCLUDED_)
#define AFX_GRAFIKDEVICEDLG_H__176783DA_DC78_4885_A598_135436BFF822__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GrafikDeviceDlg.h : Header-Datei
//
#include "RekoView.h"
#include "FFT3DView.h"
/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CGrafikDeviceDlg 

class CGrafikDeviceDlg : public CDialog
{
// Konstruktion
protected:
	    // Get access to the UI controls
    BOOL bUpdateDlgControls;

    // Static state for adapter/device/mode selection
    CD3DApplication* pd3dApp;
    DWORD  dwOldAdapter, dwNewAdapter;
    DWORD  dwOldDevice,  dwNewDevice;
    DWORD  dwOldMode,    dwNewMode;
    BOOL   bOldWindowed, bNewWindowed;
    D3DMULTISAMPLE_TYPE OldMultiSampleTypeWindowed, NewMultiSampleTypeWindowed;
    D3DMULTISAMPLE_TYPE OldMultiSampleTypeFullscreen, NewMultiSampleTypeFullscreen;

    // Working variables
    D3DAdapterInfo* pAdapter;
    D3DDeviceInfo*  pDevice;

public:
	CRekoView* m_RekoView;
	CFFT3DView* m_FFTView;
	BOOL				m_bReko;

public:
	CGrafikDeviceDlg(CWnd* pParent = NULL);   // Standardkonstruktor
	void UpdateUIControls();

// Dialogfelddaten
	//{{AFX_DATA(CGrafikDeviceDlg)
	enum { IDD = IDD_SELECTDEVICE };
	CComboBox	m_MultiSampleListCtrl;
	CComboBox	m_DeviceListCtrl;
	CComboBox	m_AdapterListCtrl;
	//}}AFX_DATA


// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CGrafikDeviceDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CGrafikDeviceDlg)
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnSelendokAdapterCombo();
	afx_msg void OnSelendokDeviceCombo();
	afx_msg void OnSelendokMultisampleCombo();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_GRAFIKDEVICEDLG_H__176783DA_DC78_4885_A598_135436BFF822__INCLUDED_
