// HuellkurveDlg.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "Sounds.h"
#include "HuellkurveDlg.h"
#include "SoundsView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CHuellkurveDlg 


CHuellkurveDlg::CHuellkurveDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CHuellkurveDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CHuellkurveDlg)
		// HINWEIS: Der Klassen-Assistent fgt hier Elementinitialisierung ein
	//}}AFX_DATA_INIT
}


void CHuellkurveDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CHuellkurveDlg)
	DDX_Control(pDX, IDC_HUELLBILD, m_MetaBild);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CHuellkurveDlg, CDialog)
	//{{AFX_MSG_MAP(CHuellkurveDlg)
	ON_WM_CLOSE()
	ON_BN_CLICKED(IDC_OPTIMIERE, OnOptimiere)
	ON_BN_CLICKED(IDC_DRAWSPLINE, OnDrawspline)
	ON_WM_LBUTTONDOWN()
	ON_WM_RBUTTONDOWN()
	ON_BN_CLICKED(IDC_SAVE, OnSave)
	ON_BN_CLICKED(IDC_CLIPBOARD, OnClipboard)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CHuellkurveDlg 

void CHuellkurveDlg::OnClose() 
{
	// TODO: Code fr die Behandlungsroutine fr Nachrichten hier einfgen und/oder Standard aufrufen
	
	CDialog::OnClose();
}

void CHuellkurveDlg::OnOK() 
{
	CSoundsView* pView=(CSoundsView*)this->GetOwner();
	pView->DeleteHuellkurven();
	CDialog::OnOK();
}


void CHuellkurveDlg::OnOptimiere() 
{
	CSoundsView* pView=(CSoundsView*)this->GetOwner();
	pView->OptimiereHuellkurve();
}

void CHuellkurveDlg::OnDrawspline() 
{
	CSoundsView* pView=(CSoundsView*)this->GetOwner();
	pView->DrawHuellSpline();
}

void CHuellkurveDlg::OnLButtonDown(UINT nFlags, CPoint point) 
{
	CSoundsView* pView=(CSoundsView*)this->GetOwner();
	pView->LButtonDown(nFlags,point);
	CDialog::OnLButtonDown(nFlags, point);
}

void CHuellkurveDlg::OnRButtonDown(UINT nFlags, CPoint point) 
{
	CSoundsView* pView=(CSoundsView*)this->GetOwner();
	pView->RButtonDown(nFlags,point);
	CDialog::OnRButtonDown(nFlags, point);
}

void CHuellkurveDlg::OnSave() 
{
	CSoundsView* pView=(CSoundsView*)this->GetOwner();
	pView->Save();
}

void CHuellkurveDlg::OnClipboard() 
{
	CSoundsView* pView=(CSoundsView*)this->GetOwner();
	pView->ToClipboard();
}

